File: changelog

package info (click to toggle)
gnome-dvb-daemon 1%3A0.2.91~git20170110-4
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, buster, sid
  • size: 7,740 kB
  • sloc: ansic: 66,157; python: 4,341; sh: 4,265; makefile: 332; xml: 10
file content (290 lines) | stat: -rw-r--r-- 9,486 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
gnome-dvb-daemon (1:0.2.91~git20170110-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 11:48:18 -0500

gnome-dvb-daemon (1:0.2.91~git20170110-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Enable all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 25 Dec 2017 09:19:53 -0500

gnome-dvb-daemon (1:0.2.91~git20170110-2) unstable; urgency=medium

  * debian/copyright: Update the copyright file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Feb 2017 21:02:05 +0100

gnome-dvb-daemon (1:0.2.91~git20170110-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Ported to libgee-0.8. Closes: #753861.
    - Ported to GStreamer 1.0. Closes: #785816.
    - Ported to Python 3.
  * Updated (build-)dependencies.

  [ Michael Biebl ]
  * Remove Debian menu entries.

  [ Andreas Henriksson ]
  * Add gstreamer1.0-tools build-dependency
    - as configure.ac requires 'gst-inspect-1.0'.
  * Add gstreamer1.0-plugins-bad build-dependency
    - as configure.ac requires 'tsparse' plugin.
  * Add debian/patches/gstreamer-mpegts-1.0-vapi.patch
    - vapi/gstreamer-mpegts-1.0.vapi is missing in tarball.
  * debian/rules: switch from dh_python2 to dh_python3

  [ Laurent Bigonville ]
  * New GIT snapshot
    - Now build grilo plugin, rename totem-plugins-dvb-daemon to
      grilo-plugins-dvb-daemon
  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages
  * Switch from cdbs to dh sequences
  * debian/control.in: Bump debhelper compatibility version to 10
  * debian/control.in: Bump Standards-Version to 3.9.8 (no further changes)
  * Drop debian/patches/gstreamer-mpegts-1.0-vapi.patch, not needed anymore
  * Add debian/patches/fix-icon-logo.patch: Fix some cosmetic issues
  * debian/control.in: Make gnome-dvb-client depends against dtv-scan-tables
    instead of dvb-apps

 -- Laurent Bigonville <bigon@debian.org>  Wed, 22 Feb 2017 11:45:51 +0100

gnome-dvb-daemon (1:0.2.10-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Update homepage and add Vcs fields
    - Build with default valac. Closes: #709693

  [ Michael Biebl ]
  * debian/rules: Include gnome-get-source.mk for the "get-orig-source"
    target.

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Aug 2013 22:52:19 +0200

gnome-dvb-daemon (1:0.2.9-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Mon, 21 May 2012 16:59:08 +0200

gnome-dvb-daemon (1:0.2.8-1) unstable; urgency=low

  * New upstream release (Closes: #667059)
  * Bump Debian Standards Version to 3.9.3
  * Switch from DEP5 to Debian Copyright Format 1.0

 -- Sebastian Reichel <sre@debian.org>  Wed, 04 Apr 2012 21:27:24 +0200

gnome-dvb-daemon (1:0.2.7-2) unstable; urgency=low

  * Tighten dependencies between the packages (Closes: #652576)
  * Use Arch: all for gnome-dvb-client, since it's written in python

 -- Sebastian Reichel <sre@debian.org>  Tue, 20 Dec 2011 23:31:18 +0100

gnome-dvb-daemon (1:0.2.7-1) unstable; urgency=low

  * New upstream release
     - adds Gnome 3 compatibility (Closes: #650073)
     - fixes miredo bug (Closes: #627349)
  * Bump Debian Standards Version to 3.9.2
  * Update watch file
  * debian/copyright: Use DEP5 Format 

 -- Sebastian Reichel <sre@debian.org>  Thu, 15 Dec 2011 02:58:39 +0100

gnome-dvb-daemon (1:0.1.23-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release:
    + debian/control.in,
      debian/rules:
      - Require valac 0.12 for building.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 10 Apr 2011 11:25:56 +0200

gnome-dvb-daemon (1:0.1.22-2) experimental; urgency=low

  * Update my mail address
  * Add totem-plugins dependency to totem-plugins-dvb-daemon (Closes: 614250)

 -- Sebastian Reichel <sre@debian.org>  Sun, 20 Feb 2011 18:51:48 +0100

gnome-dvb-daemon (1:0.1.22-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Require Vala >= 0.10.0.
      - Require GStreamer >= 0.10.29.
      - Require gst-rtsp-server >= 0.10.7.
    + debian/patches/epg_threads.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 Oct 2010 14:15:49 +0100

gnome-dvb-daemon (1:0.1.21-3) experimental; urgency=low

  * add patch fixing threading issue in EPG (Closes: 591388)
  * update Debian Standards Version to 3.9.1

 -- Sebastian Reichel <elektranox@gmail.com>  Thu, 30 Sep 2010 23:32:24 +0200

gnome-dvb-daemon (1:0.1.19-2) unstable; urgency=low

  * add patch for epg threading issue (Closes: 591388)
  * update Debian Standards Version to 3.9.1
  * increment epoch to overwrite 0.1.21 upload in unstable

 -- Sebastian Reichel <elektranox@gmail.com>  Fri, 01 Oct 2010 09:53:50 +0200

gnome-dvb-daemon (0.1.21-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in:
      - Require valac >= 0.9.1.
    + debian/control.in,
      debian/rules:
      - Require GLib >= 2.24 and let valac generate code for it.
    + debian/rules:
      - Remove correct stamp files.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Sep 2010 10:56:01 +0200

gnome-dvb-daemon (0.1.19-1) unstable; urgency=low

  * New upstream release:
    + debian/gnome-dvb-client.install:
      - Remove udev python module that was dropped upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 30 May 2010 10:00:14 +0200

gnome-dvb-daemon (0.1.17-2) unstable; urgency=low

  * debian/gnome-dvb-client.install:
    + Ship forgotten files for the client applications, i.e.
      the icons, the .desktop files and the new Python
      modules (Closes: #578018).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 09:20:09 +0200

gnome-dvb-daemon (0.1.17-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_vala-0.8.0.patch:
      - Dropped, merged upstream.
    + debian/control.in:
      - Build depend on gudev and drop hal dependency.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Apr 2010 10:24:00 +0200

gnome-dvb-daemon (0.1.16-2) unstable; urgency=low

  * debian/patches/01_vala-0.8.0.patch:
    + Fix build with Vala 0.8.0, patches from upstream
      bzr (revisions 931, 932, 933) (Closes: #577293).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 11 Apr 2010 10:51:09 +0200

gnome-dvb-daemon (0.1.16-1) unstable; urgency=low

  [ Sebastian Reichel ]
  * Add HAL dependency to gnome-dvb-client (Closes: #573003) 

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Only build depend on python-dev and not on python-all-dev, since
      we only build extensions for the default python version. Thanks
      Jakub Wilk.

  [ Sebastian Dröge ]
  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Mar 2010 08:15:47 +0100

gnome-dvb-daemon (0.1.15-1) unstable; urgency=low

  [ Sebastian Reichel ]
  * New upstream release (Closes: #571813)
  * Add python2.6 support (Closes: #566949) 
  * Update Debian Standards Version to 3.8.4
  * Update debian/watch to use launchpad
  * Switch to Debian Source Format 3.0 (quilt)

  [ Emilio Pozuelo Monfort ]
  * The new release builds fine. Closes: #566949.
  * debian/control.in:
    - Fix spelling error.
  * debian/docs:
    - Removed, NEWS is installed automatically.
  * debian/rules:
    - Include lp-get-source.mk instead of gnome-get-source.mk and set the
      tarball extension to tar.bz2 to fix the get-orig-source target.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 07 Mar 2010 20:41:18 +0100

gnome-dvb-daemon (0.1.14-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 11 Jan 2010 15:27:54 +0100

gnome-dvb-daemon (0.1.13-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Nov 2009 15:55:34 +0100

gnome-dvb-daemon (0.1.12-1) unstable; urgency=low

  * New upstream release
   - fixes a couple of crasher bugs
   - more consistent D-Bus API

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 18 Oct 2009 22:00:00 +0200

gnome-dvb-daemon (0.1.11-2) unstable; urgency=low

  [ Sebastian Reichel ]
  * Fix broken gnome-dvb-client package (missing files)
  * Add dependency to gnome-icon-theme to the client, because
    stock_timer.png is needed
  * Force minimal version of gstreamer, because the automatically
    found version is too old for gnome-dvb-daemon
  * config and cache directories are created if they did not exist
    before (Closes: #550028)
  * Recommend dvb-apps instead of dvb-utils (Closes: #550029)

  [ Sebastian Dröge ]
  * debian/rules,
    debian/control.in:
    + Rebuild C sources from the Vala sources at build time and
      depend on valac >= 0.7.7-3 for this.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 10 Oct 2009 15:09:41 +0200

gnome-dvb-daemon (0.1.11-1) unstable; urgency=low

  * New Upstream Release 

 -- Sebastian Reichel <elektranox@gmail.com>  Wed, 07 Oct 2009 00:32:28 +0200

gnome-dvb-daemon (0.1.10-1) unstable; urgency=low

  * Initial release (Closes: #511532)

 -- Sebastian Reichel <elektranox@gmail.com>  Thu, 01 Oct 2009 17:39:00 +0200